<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingHorizontal="16dp"
    android:paddingVertical="8dp">

    <com.gh.common.view.InterceptVerticalScrollCardView
        android:id="@+id/cv_banner_container"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:cardBackgroundColor="@color/transparent"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp"
        app:layout_constraintDimensionRatio="41:11"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/vp_banner"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <View
            android:id="@+id/v_border"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/border_search_game_first_banner" />
    </com.gh.common.view.InterceptVerticalScrollCardView>

    <com.gh.gamecenter.common.view.ScaleIndicatorView
        android:id="@+id/bannerIndicator"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:elevation="20dp"
        app:checkedColor="@color/white"
        app:checkedSliderWidth="12dp"
        app:layout_constraintBottom_toBottomOf="@id/cv_banner_container"
        app:layout_constraintEnd_toEndOf="@id/cv_banner_container"
        app:normalColor="@color/white_alpha_40"
        app:normalSliderWidth="4dp"
        app:sliderGap="4dp"
        app:sliderHeight="4dp" />

</androidx.constraintlayout.widget.ConstraintLayout>